Bug 67257 - New PCI ID for Linksys cardbus card
New PCI ID for Linksys cardbus card
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-21 12:18 EDT by Owen Taylor
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 15:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2002-06-21 12:18:24 EDT
I just obtained a linksys PCM200 cardbus ethernet card,
and it appears that the PCI ID has changed. lspci -v
gives:

03:00.0 Ethernet controller: Unknown device 1737:ab09 (rev 11)
        Subsystem: Unknown device 1737:ab09
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 4000 [size=256]
        Memory at c0400000 (32-bit, non-prefetchable) [size=1K]
        Expansion ROM at ec400000 [size=128K]
        Capabilities: [c0] Power Management version 2

The tulip driver refuses to load with
/lib/modules/2.4.18-0.18/kernel/drivers/net/tulip/tulip.o: init_module: No such
device

Adding the PCI ID to the table in tulip_core.c makes the module
load successfully and work.

--- linux-2.4.18-0.18/drivers/net/tulip/tulip_core.c.bak        Fri Jun 21
11:56:48 2002
+++ linux-2.4.18-0.18/drivers/net/tulip/tulip_core.c    Fri Jun 21 11:59:24
2002@@ -220,6 +220,7 @@
        { 0x1113, 0x1216, PCI_ANY_ID, PCI_ANY_ID, 0, 0, COMET },
        { 0x1113, 0x1217, PCI_ANY_ID, PCI_ANY_ID, 0, 0, MX98715 },
        { 0x1113, 0x9511, PCI_ANY_ID, PCI_ANY_ID, 0, 0, COMET },
+       { 0x1737, 0xAB09, PCI_ANY_ID, PCI_ANY_ID, 0, 0, COMET },
        { } /* terminate list */
 };
 MODULE_DEVICE_TABLE(pci, tulip_pci_tbl);

(As you can see this is actually a slightly pre-7.3 version of the 
kernel, but I checked the current Rawhide kernel and it still doesn't
have the ID.)

Note You need to log in before you can comment on or make changes to this bug.